# BEGIN SourceDeps(oneline):
BuildRequires: perl(Kavorka.pm) perl(Module/Build/Tiny.pm) perl(Mojolicious.pm)
# END SourceDeps(oneline)
%define module_name Mojolicious-Plugin-Kavorka
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Signature sugar for your Mojolicious controller actions
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JB/JBERGER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Kavorka manpage lets you define methods with introspectable signatures.
Using that extra knowledge can make your controller methods clearer and friendlier.
the Mojolicious::Plugin::Kavorka manpage sits in your dispatch layer and if a target controller method (action) was declared with the Kavorka manpage it will extract stash variables of the same name and pass them to the method.

This plugin is a very rough release, I'm not sure what functionality should be added nor what semantics it should have.
Consider it very experimental.
That said, this is a rich testbed for future functionality; if you have ideas or suggestions, please let me know!

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_privlib/M*

%changelog
* Mon Feb 25 2019 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

